gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.DrawingArea

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

Synopsis

- data GLDrawingArea
- glDrawingAreaNew :: GLConfig -> IO GLDrawingArea
- withGLDrawingArea :: GLDrawingArea -> (GLWindow -> IO a) -> IO a
- glDrawingAreaGetGLConfig :: GLDrawingArea -> IO GLConfig
- glDrawingAreaGetGLContext :: GLDrawingArea -> IO GLContext
- glDrawingAreaGetGLWindow :: GLDrawingArea -> IO GLWindow

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----DrawingArea
     | +----GLDrawingArea

# Types

data GLDrawingArea Source

Instances

GObjectClass GLDrawingArea |
ObjectClass GLDrawingArea |
WidgetClass GLDrawingArea |
DrawingAreaClass GLDrawingArea |

# Constructors

glDrawingAreaNew :: GLConfig -> IO GLDrawingArea Source

# Methods

withGLDrawingArea :: GLDrawingArea -> (GLWindow -> IO a) -> IO aSource

glDrawingAreaGetGLConfig :: GLDrawingArea -> IO GLConfig Source

glDrawingAreaGetGLContext :: GLDrawingArea -> IO GLContext Source

glDrawingAreaGetGLWindow :: GLDrawingArea -> IO GLWindow Source